Subject: bug#35140: 12.1; Scan errors in doctex mode with ^^A-comments after braces

From: Ikumi Keita <[email-masked]>
Date: Tue, 01 Mar 2022 23:50:34 +0900

Hi Arash, thanks for your response.

>>>>> Arash Esbati <[email-masked]> writes:
> I don't think AUCTeX suffers if the syntax after "^^A" isn't change so
> we could do it.  One other idea would be to raise this issue also on
> Emacs devel list since Emacs has the same issue as well or ping Stefan
> M. to have a look at this thread before we make a final decision.  What
> do you think?

That sounds nice. I'll do that tomorrow.

>> +(defun font-latex-doctex-match-^^A (limit)
>> +  "In docTeX mode, match comment started by ^^A before LIMIT."
>> +  (catch 'found
>> +    (while (TeX-search-forward-unescaped "^^A" limit t)

> While we're at it, can we change this to:

>   (while (TeX-re-search-forward-unescaped "\\^\\^[AX]" limit t)

> as well?  doc v3 also accepts ^^X as comment starter.

Oh, I didn't know that. Then I have to modify there along your
suggestion.

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine